--*************************************************************
--VISTA CON LOS TELEFONOS DE LAS REFERENCIAS DEL CLIENTE VM_C_TELEFONOS_REFERENCIAS_PF
--*************************************************************

SELECT
--INFORMACION CLIENTE 
CON.FOLIO_UNICO, 
--INFORMACION REFERENCIA
REF.ID REFERENCIA_ID,
TTE.NOMBRE REF_TELEFONICA,
TEL.IDINT TELEFONO_ID,
TEL.TELEFONO,
TEL.EXTENSION

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_REFERENCIAS AFR ON (AFR.APLICANTE_FISICO_ID = ATF.ID)  --INFORMACION DE LA REFERENCIAS
LEFT OUTER JOIN SMAFB.SGREFERENCIAS_FISICAS REF ON (REF.ID = AFR.REFERENCIA_ID)
LEFT OUTER JOIN SMAFB.SGRELACIONES REL ON (REL.IDINT = REF.RELACION_ID )
LEFT OUTER JOIN SMAFB.SGTIEMPOS_RELACION TRE ON (TRE.ID = REF.TIEMPO_RELACION_ID)
LEFT OUTER JOIN SMAFB.SGREFERENCIAS_FIS_TELELENOS RFT ON (RFT.REFERENCIA_FISICA_ID = REF.ID) --INFORMACION TELEFONOS
LEFT OUTER JOIN SMAFB.SGTELEFONOS TEL ON (TEL.IDINT = RFT.TELEFONO_ID)
LEFT OUTER JOIN SMAFB.SGTIPOS_TELEFONOS TTE ON (TTE.ID = TEL.TIPO_TELEFONO_ID)


WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;